<!DOCTYPE html>
<html>
    <head>
        <title>Temp Service</title>
    </head>
    <body>
        <?php
        if(isset($_GET["zip"])) {
            // find the temperature
            $zip = trim($_GET["zip"]);
            $zip_regular_expression = '/^\d{5}$/';
            
            if(preg_match($zip_regular_expression,$zip) == 0) {
                echo "This was not a zipcode.";
                exit();
            }
            
            // we have a zip code!
            
            // next, open the weather underground webpage
            $file = fopen("http://wunderground.com/weather-forecast/" . $zip, "r");
            
            if(!$file) {
                echo "FATAL ERROR: could not open URL";
                exit();
            }
            
            $matches = array();
            while(!feof($file)) {
                $line = fgets($file);
                if(strpos($line, 'data-variable="temperature"')) {
                    //on the next line, we have the temperature
                    $line = fgets($file);
                    //extract the temperature
                    preg_match('/-?\d{1,3}\.\d/',$line,$matches);
                    break;
                }
            }
            
            if(count($matches) > 0) {
                echo "The temperature in $zip is ", $matches[0];
            } else {
                echo "Could not find temperature.";
            }
            
            
        } else {
            echo "Please set a ZIP code value on your URL!";
        }
        ?>
    </body>
</html>